| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_tvbparse_elem_t Struct Reference

Represents a single token matched by the tvbuff parser, forming part of a linked tree of parse results. More...

`#include <tvbparse.h>`

## Public Attributes
int | id
tvbparse_t * | parser
tvbuff_t * | tvb
int | offset
int | len
void * | data
struct _tvbparse_elem_t * | sub
struct _tvbparse_elem_t * | next
struct _tvbparse_elem_t * | last
const tvbparse_wanted_t * | wanted

## Detailed Description

Represents a single token matched by the tvbuff parser, forming part of a linked tree of parse results.

## Member Data Documentation

## ◆ data

void* _tvbparse_elem_t::data

Opaque user-defined data associated with this token by a callback.

## ◆ id

int _tvbparse_elem_t::id

Identifier corresponding to the matched tvbparse_wanted_t rule that produced this token.

## ◆ last

struct _tvbparse_elem_t* _tvbparse_elem_t::last

Pointer to the last sibling token in the sibling chain for efficient appending.

## ◆ len

int _tvbparse_elem_t::len

Length in bytes of the matched token within the tvbuff.

## ◆ next

struct _tvbparse_elem_t* _tvbparse_elem_t::next

Pointer to the next sibling token at the same level, or NULL if this is the last sibling.

## ◆ offset

int _tvbparse_elem_t::offset

Byte offset within the tvbuff at which this token begins.

## ◆ parser

tvbparse_t* _tvbparse_elem_t::parser

The parser instance that produced this token.

## ◆ sub

struct _tvbparse_elem_t* _tvbparse_elem_t::sub

Pointer to the first child token for composite matches, or NULL if this is a leaf token.

## ◆ tvb

tvbuff_t* _tvbparse_elem_t::tvb

The tvbuff in which this token was matched.

## ◆ wanted

const tvbparse_wanted_t* _tvbparse_elem_t::wanted

Pointer to the parse rule (wanted definition) that this token was matched against.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/tvbparse.h